package com.lxyer.redim.service;

import com.lxyer.base.JBean;
import org.redkale.service.Service;

public interface ImFriendService extends Service {

    //================ 查询相关 =================
    /**
     * 分组好友数据
     * @return
     */
    JBean friends(String sessionid);

    /**
     * 根据条件查询好友
     * @return
     */
    JBean friendList(String sessionid);

    /**
     * 群组数据
     * @return
     */
    JBean groups(String sessionid);


    //================ 操作好友相关 =================
    /**
     * 保存好友分组
     * @return
     */
    JBean itemSave(String sessionid);
    /**
     * 添加好友
     * @return
     */
    JBean addFriend(String sessionid);

    //================ 操作群组相关 =================
    /**
     * 保存群组
     * @return
     */
    JBean groupSave(String sessionid);

    /**
     * 加入群组
     * @return
     */
    JBean addGroup(String sessionid);

    /**
     * 登录人用户id
     * @param sessionid
     * @return
     */
    int currentUserid(String sessionid);
}
